Core - Bug # 67288

Status: Resolved Priority: Should have
Author: Morton Jonuschat Category: DBAL
Created: 2015-06-03 Assigned To:

Updated: 2015-07-01 Due date:

TYPO3 Version: 7

PHP Version: 5.6

Complexity:

Is Regression: No

Sprint Focus:

Subject: Field types don't get properly translated to MySQL types
Description
DBAL doesn't seem to properly convert the field types returned in admin_get_fields() to MySQL types.

Wi

en doing a database compare with DBAL enabled | get results like this:

ALTER TABLE be_sessions CHANGE ses_backuserid ses_backuserid int(11) NOT NULL default '0';
Current value: (8) default '0'
<pre>

Real field type is int8 / BIGINT which is often denoted as INT(8). The type information (INT) is being lost completly. The same

is true for every other field type encountered

TYPO3 7.3-dev
PostgreSQL 9.4

Related issues:
related to Core - Epic # 64459: Make TYPOS run on PostgreSQL New

related to Core - Task # 67297: Move MySQL / DBMS field type translation into...

Resolved

2015-01-23
2015-06-04

Associated revisions

Revision b1059192 - 2015-06-08 09:10 - Morton Jonuschat

[TASK] dbal: Move MySQL / DBMS field type translation into DBMS Specifics

0

The function used by the DBAL provide a very coarse and generic translations

between the ADdb meta types and the MySQL native types. This results in

ambiguities that can't properly be resolved and leads to changes in the

install tool schema migration that can never be resolved.

0

The default DBMS specifics provided resemble the current output of the

functions and don't result in any changes to the DBMS schema.
0

Resolves: #67297

Related: #67290

Related: #67288

Releases: master

Change-Id: 1d26a897c7f43520edd188e0bd2ddb158507¢c8049
Reviewed-on: http://review.typo3.org/39954

Reviewed-by: Markus Klein <markus.klein@typo3.org>

Tested-by: Markus Klein <markus.klein@typo3.org>

Reviewed-by: Andreas Fernandez <typo3@scripting-base.de>

Tested-by: Andreas Fernandez <typo3@scripting-base.de>

Revision 8d09ff5¢c - 2015-07-01 09:29 - Morton Jonuschat

[BUGFIX] dbal: return field type information from admin_get_fields()

0

Deprecate MetaType() which always returned an empty meta fieldtype
with DBAL and move function to getMetadata(). The signature for
getMetadata() includes the field information for the query so that

the cached field metatype can be used before resorting to querying
the DBMS.

0

Resolves: #67288

Releases: master

Change-Id: 157dbd7501c9e7a62f2164fb755f1d1a73da01a05
Reviewed-on: http://review.typo3.org/39941

Reviewed-by: Xavier Perseguers <xavier@typo3.org>
Reviewed-by: Stephan GroBberndt <stephan@grossberndt.de>

Reviewed-by: Markus Klein <markus.klein@typo3.org>

Tested-by: Markus Klein <markus.klein@typo3.org>

Reviewed-by: Andreas Fernandez <typo3@scripting-base.de>

Tested-by: Andreas Fernandez <typo3@scripting-base.de>

History

#1 - 2015-06-04 00:42 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/39941

#2 - 2015-06-04 10:46 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.0rg/39941

#3 - 2015-06-05 08:57 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/39941

#4 - 2015-06-05 10:03 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http:/review.typo3.0rg/39941

#5 - 2015-06-05 10:30 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/39941

#6 - 2015-06-08 10:16 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/39941

#7 - 2015-06-10 09:52 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/39941

#8 - 2015-07-01 09:29 - Morton Jonuschat
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:8d09ff5c8e91c11a8332c610fd499c831a4cb1d1.
